Bug 91050 - (PCMCIA)After kernel upgrade PCMICA devices fail to work
(PCMCIA)After kernel upgrade PCMICA devices fail to work
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-16 16:20 EDT by Gareth Bromley
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gareth Bromley 2003-05-16 16:20:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After upgrade to new Errata kernel PCMCIA devices fail to load.

Investigation revelas that the PCMCIA device drivers have moved location from
/lib/modules/`uname -r`/pcmcia to /lib/modules/`uname -r`/kernel/drivers/pcmcia.

Editing /etc/init.d/pcmcia to reflect this changes fixes this issue.

Rebooting to old kernel also fixes this behaviour

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.7

How reproducible:
Always

Steps to Reproduce:
1. Upgrade kernel to latest errata
2. Reboot new kernel
3. Use PCMCIA devices
    

Actual Results:  All config scripts ran as OK, however any attached PCMCIA
device failed to load/power on. lsmod shows no signs of the PCcard drivers anywhere.

Expected Results:  All config scripts should have run as OK, and PCMCIA devices
should have powered on.

Additional info:
Comment 1 Alan Cox 2003-06-08 09:38:00 EDT
If you add a symbolic link between the old and new names it should fix this for now
Comment 2 Bugzilla owner 2004-09-30 11:40:56 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.